using System.ComponentModel.DataAnnotations;
using AAIntegration.SimmonsBank.API.Entities;

namespace AAIntegration.SimmonsBank.API.Models.Transactions;

public class TransactionUpdateRequest
{
    public DateTime? Date { get; set; } = null;
    public string? ExternalId { get; set; } = null;
    public string? Description { get; set; } = null;
    public int? DebitAccount { get; set; } = null;
    public int? CreditAccount { get; set; } = null;
    public decimal? Amount { get; set; } = null;
    public bool? IsPending { get; set; } = null;
}